be.fgov.ehealth.consultrn.commons.core.v3

## Class EncodedSSINType

- java.lang.Object
- - be.fgov.ehealth.consultrn.commons.core.v3.EncodedSSINType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:07:12+02:00",
                 comments="JAXB RI v2.2.11")
      public class EncodedSSINType
      extends Object
      implements Serializable

  SSIN encoded

  Java class for EncodedSSINType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="EncodedSSINType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute name="Encoded" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncodedSSINType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getValue()` Gets the value of the value property.
    `Boolean` | `isEncoded()` Gets the value of the encoded property.
    `void` | `setEncoded(Boolean value)` Sets the value of the encoded property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncodedSSINType

          public EncodedSSINType()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### isEncoded

          public Boolean isEncoded()

      Gets the value of the encoded property.
      Returns:
        possible object is `Boolean`

    - #### setEncoded

          public void setEncoded(Boolean value)

      Sets the value of the encoded property.
      Parameters:
        `value` - allowed object is `Boolean`

Connector Packaging PERSPRACTICALNURSE 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.